%define major 20
%define libname %mklibname gcrypt %{major}
%define devname %mklibname gcrypt -d

# disable tests by default, no /dev/random feed, no joy
%bcond_with	check

Summary:	GNU Cryptographic library
Name:		libgcrypt
Version:	1.7.8
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnupg.org/
# don't convert to bzip2, since we ship archive signature
Source0:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2.sig
Patch0:		libgcrypt-1.2.0-libdir.patch
Patch1:		libgcrypt-1.7.0-add-pkgconfig-support.patch
Patch2:		libgcrypt-1.6.1-fix-a-couple-of-tests.patch
# use poll instead of select when gathering randomness
Patch4:		libgcrypt-1.7.2-use-poll.patch
# slight optimalization of mpicoder.c to silence Valgrind (#968288)
Patch5:		libgcrypt-1.6.1-mpicoder-gccopt.patch
BuildRequires:	pth-devel
BuildRequires:	pkgconfig(gpg-error) >= 1.13

%description
Libgcrypt is a general purpose cryptographic library based on the code from
GNU Privacy Guard.

It provides functions for all cryptograhic building blocks:
- symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour),
- hash algorithms (MD5, RIPE-MD160, SHA-1, TIGER-192),
- MACs (HMAC for all hash algorithms),
- public key algorithms (RSA, ElGamal, DSA),
- large integer functions,
- random numbers and a lot of supporting functions.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GNU Cryptographic library
Group:		System/Libraries

%description -n %{libname}
Libgcrypt is a general purpose cryptographic library based on the code from
GNU Privacy Guard.

It provides functions for all cryptograhic building blocks:
- symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish, Arcfour),
- hash algorithms (MD5, RIPE-MD160, SHA-1, TIGER-192),
- MACs (HMAC for all hash algorithms),
- public key algorithms (RSA, ElGamal, DSA),
- large integer functions,
- random numbers and a lot of supporting functions.

%files -n %{libname}
%doc AUTHORS README NEWS THANKS TODO
%{_libdir}/libgcrypt.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for GNU cryptographic library
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libgcrypt is a general purpose cryptographic library based on the code from
GNU Privacy Guard.

This package contains files needed to develop applications using libgcrypt.

%files -n %{devname}
%doc ChangeLog README.*
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libgcrypt.pc
%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*
%{_mandir}/man1/hmac256.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .libdir~ .pkgconfig~
%patch1 -p1 -b .pkgconfig~
%patch2 -p1 -b .tests~
%patch4 -p1
%patch5 -p1

%build
autoreconf -fi
%configure2_5x \
	--enable-shared \
	--enable-static \
	--enable-m-guard
%make

%install
%makeinstall_std

%if %{with check}
%check
make check
%endif

%changelog
